Bug 998120 - [abrt] createrepo-0.9.9-21.fc19: sqlitecachec.py:61:getOtherdata:TypeError: Parsing other.xml error: Document is empty [NEEDINFO]
[abrt] createrepo-0.9.9-21.fc19: sqlitecachec.py:61:getOtherdata:TypeError: P...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:a28b107234f6a1166f7beb45d19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 08:25 EDT by HANS-Joachim Elbers
Modified: 2014-05-28 04:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 04:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zpavlas: needinfo? (hajoelbers)


Attachments (Terms of Use)
File: backtrace (847 bytes, text/plain)
2013-08-17 08:25 EDT, HANS-Joachim Elbers
no flags Details
File: environ (93 bytes, text/plain)
2013-08-17 08:25 EDT, HANS-Joachim Elbers
no flags Details

  None (edit)
Description HANS-Joachim Elbers 2013-08-17 08:25:35 EDT
Version-Release number of selected component:
createrepo-0.9.9-21.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -t /usr/share/createrepo/genpkgmetadata.py --quiet --database --update --unique-md-filenames /var/lib/yum/plugins/local
dso_list:       yum-metadata-parser-1.1.4-8.fc19.x86_64
executable:     /usr/share/createrepo/genpkgmetadata.py
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlitecachec.py:61:getOtherdata:TypeError: Parsing other.xml error: Document is empty


Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 294, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 272, in main
    mdgen.doRepoMetadata()
  File "/usr/lib/python2.7/site-packages/createrepo/__init__.py", line 984, in doRepoMetadata
    rp.getOtherdata(complete_path, csum)
  File "/usr/lib64/python2.7/site-packages/sqlitecachec.py", line 61, in getOtherdata
    self.repoid))
TypeError: Parsing other.xml error: Document is empty


Local variables in innermost frame:
checksum: '212ab227467c978f4f3c333fcec3d8a15170d7178ca2da2c57d73777d799f0b2'
self: <sqlitecachec.RepodataParserSqlite instance at 0x27dc6c8>
location: '/var/lib/yum/plugins/local/.repodata/other.xml.gz'
Comment 1 HANS-Joachim Elbers 2013-08-17 08:25:39 EDT
Created attachment 787547 [details]
File: backtrace
Comment 2 HANS-Joachim Elbers 2013-08-17 08:25:42 EDT
Created attachment 787548 [details]
File: environ
Comment 3 Zdeněk Pavlas 2013-08-19 07:38:56 EDT
Hi, what's the size of /var/lib/yum/plugins/local/.repodata/other.xml.gz?  Is it empty upon decompression?  Is there enough free space on /var?
Comment 4 Valentina Mukhamedzhanova 2014-05-28 04:51:06 EDT
Closing as there is no reply.

Note You need to log in before you can comment on or make changes to this bug.